Welcome to PhantomPilots.com

Sign up for a weekly email of the latest drone news & information

Can I downgrade to V1.8 assitant with P2 H3-3D?

Discussion in 'Zenmuse H3-3D/H4-3D GoPro Gimbal' started by JoeJITSU, Jul 9, 2014.

  1. JoeJITSU

    May 11, 2014
    Likes Received:
    So I have a dilemma, I have iosd Mini, Datalink, FPV, Cloverleaf, Polarpro filter and a Quarter and a nickel. I fly with the new version which is pretty slow to fly. Descents is slow which is fine with me but once I get below 20 feet it keeps falling, Then I try to thrust up and it takes about 20 seconds before it responds.

    Can I use V1.8? I don't mind losing GS for a bit till I need it, then I can upgrade when I need it.

    Also if I can, what are the procedures on downgrading? I downloaded V1.8 but not even sure what I need to do. Thanks in advance.
  2. Diesel31

    May 20, 2013
    Likes Received:
    Long Beach, CA
    Yes. I've downgraded to 1.08 with an H3-3D and no problems.

    Once you open the 1.08 software, you'll see a firmware mismatch. You'll have the option to 'upgrade', which is actually downgrading to 1.08. Let it runs its course like a normal update and you are done.